import request from '@/utils/request'

//积分有效期列表
export function getPointIndateList(query) {
  return request({
    url: '/mall-integral-rule-type/page',
    method: 'get',
    params:query
  })
}
//积分有效期新增
export function pointIndateCreateItem(data) {
  return request({
    url: '/mall-integral-rule-type/add',
    method: 'post',
    data
  })
}
//积分有效期修改
export function pointIndateUpdateItem(data) {
  return request({
    url: '/mall-integral-rule-type/edit',
    method: 'post',
    data
  })
}
//积分有效期状态修改
export function pointIndateState(query) {
  return request({
    url: '/mall-integral-rule-type/modify/status',
    method: 'post',
    params:query
  })
}
//积分有效期删除
export function pointIndateDel(query) {
  return request({
    url: '/mall-integral-rule-type/modify/del',
    method: 'post',
    params:query
  })
}

//积分加减
export function addSub(data) {
  return request({
    url: '/mall-integral/addSub',
    method: 'post',
    data
  })
}

export function pointRulesTypeList(data) {
  return request({
    url: '/mall-integral/getTypes',
    method: 'get',
    data
  })
}

export function getPointRulesList(query) {
  return request({
    url: '/mall-integral/page',
    method: 'get',
    params:query
  })
}

export function pointRulesCreateItem(data) {
  return request({
    url: '/mall-integral/add',
    method: 'post',
    data
  })
}

export function pointRulesUpdateItem(data) {
  return request({
    url: '/mall-integral/edit',
    method: 'post',
    data
  })
}

export function pointRulesState(query) {
  return request({
    url: '/mall-integral/modify/status',
    method: 'post',
    params:query
  })
}

export function updatePointRulesItem(data) {
  return request({
    url: '/news/delete',
    method: 'post',
    data
  })
}

export function getPointList(query) {
  return request({
    url: '/mall-integral/user/page',
    method: 'get',
    params:query
  })
}

export function getPointDetailList(query) {
  return request({
    url: '/mall-integral/details/page',
    method: 'get',
    params:query
  })
}

export function getItemPointList(query) {
  return request({
    url: '/mall-integral/user/log',
    method: 'get',
    params:query
  })
}


